def strtobool(val):
    """Convert a string representation of truth to true (1) or false (0).
    True values are 'y', 'yes', 't', 'true', 'on', and '1'; false values
    are 'n', 'no', 'f', 'false', 'off', and '0'.  Raises ValueError if
    'val' is anything else.
    """
    val = val.lower()
    if val in ('y', 'yes', 't', 'true', 'on', '1'):
        return 1
    elif val in ('n', 'no', 'f', 'false', 'off', '0'):
        return 0
    else:
        raise ValueError("invalid truth value %r" % (val,))


def response(data: any, code=200, msg="OK"):
    return {
        "code": code,
        "data": data,
        "msg": msg,
    }


def amis_response(data: any, code=0, msg="OK"):
    return {
        "status": code,
        "data": data,
        "msg": msg,
    }


def response_to_amis_response(_response):
    return amis_response(_response['data'], 0 if _response['code'] == 200 else _response['code'], _response['msg'])
